/Users/bernard/b20/bsoft/src/bmoledit.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmoledit.cpp - A tool to edit coordinate files.

SYNOPSIS

#include 'rwmolecule.h'
#include 'mol_symmetry.h'
#include 'mol_transform.h'
#include 'mol_edit.h'
#include 'mol_util.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
long molgroup_trim (Bmolgroup *molgroup, Vector3< double > box)
Deletes atoms outside the box.
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

A tool to edit coordinate files.

Author:
    Bernard Heymann

Date:
    Created: 19980214

    Modified: 20190329

Definition in file bmoledit.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 60 of file bmoledit.cpp.

  long molgroup_trim (Bmolgroup * molgroup, Vector3< double > box)

Deletes atoms outside the box.

Parameters:
    *molgroup molecule group structure to be modified.
    box box size.

Returns:
    long number of remaining atoms.

Definition at line 244 of file bmoledit.cpp.

Variable Documentation

  const char* use[]

Definition at line 24 of file bmoledit.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.